- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axiom_children_with_specific_attribute_iterator.h File Reference

this is the iterator for om nodes More...

`#include <axiom_node.h>`
`#include <axiom_text.h>`
`#include <axutil_qname.h>`

Go to the source code of this file.

## Defines
#define | AXIOM_CHILDREN_WITH_SPECIFIC_ATTRIBUTE_ITERATOR_FREE(iterator, env) axiom_children_with_specific_attribute_iterator_free(iterator, env)
#define | AXIOM_CHILDREN_WITH_SPECIFIC_ATTRIBUTE_ITERATOR_REMOVE(iterator, env) axiom_children_with_specific_attribute_iterator_remove(iterator, env)
#define | AXIOM_CHILDREN_WITH_SPECIFIC_ATTRIBUTE_ITERATOR_HAS_NEXT(iterator, env) axiom_children_with_specific_attribute_iterator_has_next(iterator, env)
#define | AXIOM_CHILDREN_WITH_SPECIFIC_ATTRIBUTE_ITERATOR_NEXT(iterator, env) axiom_children_with_specific_attribute_iterator_next(iterator, env)
## Typedefs
typedef struct axiom_children_with_specific_attribute_iterator | axiom_children_with_specific_attribute_iterator_t
## Functions
AXIS2_EXTERN void | axiom_children_with_specific_attribute_iterator_free (axiom_children_with_specific_attribute_iterator_t *iterator, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_children_with_specific_attribute_iterator_remove (axiom_children_with_specific_attribute_iterator_t *iterator, const axutil_env_t *env)
AXIS2_EXTERN axis2_bool_t | axiom_children_with_specific_attribute_iterator_has_next (axiom_children_with_specific_attribute_iterator_t *iterator, const axutil_env_t *env)
AXIS2_EXTERN axiom_node_t * | axiom_children_with_specific_attribute_iterator_next (axiom_children_with_specific_attribute_iterator_t *iterator, const axutil_env_t *env)
AXIS2_EXTERN axiom_children_with_specific_attribute_iterator_t * | axiom_children_with_specific_attribute_iterator_create (const axutil_env_t *env, axiom_node_t *current_child, axutil_qname_t *attr_qname, axis2_char_t *attr_value, axis2_bool_t detach)

## Detailed Description

this is the iterator for om nodes